Bug 169892 - Need dynamic fallback content of SFS
Need dynamic fallback content of SFS
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
: API, API_REVIEW_FAST
Depends on: 26338 179977
Blocks: 162780
  Show dependency treegraph
 
Reported: 2009-08-05 13:20 UTC by Jaroslav Tulach
Modified: 2010-01-29 08:45 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposal (8.18 KB, patch)
2009-08-05 13:27 UTC, Jaroslav Tulach
Details | Diff
Full patch (including ergonomics change) and fix for JG02 (23.79 KB, patch)
2009-08-05 17:20 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2009-08-05 13:20:05 UTC
Since issue 26338 has been implemented, anyone can provide a dynamic content of system file system. Such content 
overrides defaults provided by modules, but can be overriden by user changes. However to solve issue 162780 I need to 
provide content that is behind the module layers - a kind of fallback.
Comment 1 Jaroslav Tulach 2009-08-05 13:27:43 UTC
Created attachment 85837 [details]
Proposal
Comment 2 Jesse Glick 2009-08-05 16:26:30 UTC
[JG01] The connection to issue #162780, and hence the motivation for this issue, is not explained at all. It would seem
that the straightforward fix of issue #162780 would be for ergonomics to consider a "feature" installed only if all kit
modules in the cluster are enabled, rather than at least one.


[JG02] You forgot to fix ExternalUtil.MainFS.computeDelegates.
Comment 3 Jaroslav Tulach 2009-08-05 17:20:41 UTC
Created attachment 85866 [details]
Full patch (including ergonomics change) and fix for JG02
Comment 4 Jaroslav Tulach 2009-08-05 17:25:26 UTC
Re. JG01: That is probably more for discussion in the issue 162780, but shortly: Yes, I need to change the logic 
according to your suggestion (e.g. installed only when all modules installed), but also I need to make sure that if a 
single module provides a template, then it takes precedence over the ergonomics definition. I tried various tricks, 
but providing "fallback" layer is the only one that is not hack. Works nicely and contains even less dynamics (e.g. 
all ergonomics layers always on) than the 6.7 system.
Comment 5 Jesse Glick 2009-08-06 00:36:45 UTC
BTW I would suggest the new test code be added to ExternalUtilTest so that C-F6 from ExternalUtil.java will check
validity of code in that class.
Comment 6 Jaroslav Tulach 2009-08-11 05:19:19 UTC
I'll integrate tomorrow (probably without addressing BTW).
Comment 7 Jaroslav Tulach 2009-08-12 09:11:27 UTC
core-main#d36f5e88f890
Comment 8 Quality Engineering 2009-08-13 06:06:22 UTC
Integrated into 'main-golden', will be available in build *200908130201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d36f5e88f890
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #169892: Dynamic 'fallback' content of system file system


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo